<?php

    session_start();

    include "../db.php";

    date_default_timezone_set('Asia/Kolkata');

    $currentTime = date('M j, Y g:i a');



    if ( !isset($_SESSION['uid']) && !isset($_SESSION['uref']) && !isset($_SESSION['utype']) && !isset($_SESSION['uname']) )

        header("Location: logout.php");

    if (empty($_GET['cid'])) {

        header("Location: ../");

    }

    $admin_2_run = "SELECT admin_ref FROM users WHERE uref = '$_SESSION[uref]'";

    $admin_2_row2 = mysqli_query($con, $admin_2_run);

    $admin_2_row = mysqli_fetch_assoc($admin_2_row2);

    $admin_2 = $admin_2_row["admin_ref"];

?>

<!DOCTYPE html>

<html lang="en">

<head>

 <?php include "includes/meta.php"; ?>        

    <?php include "includes/css.php"; ?>      

  



</head>

<body id="page-top" class="mt-55">



    <div style="margin-top: 70px;"></div>



      <?php include "includes/header2.php"; ?>

<div class="container">

            <div class="row">

                <div class="col-12 col-sm-12 col-md-12">

                        <div clas s="card-body">

                        

                            <h1 class="h3 mb-2 text-gray-800 text-center">Homework <font color="#116496" size="3"><?php echo ' <i class="fa fa-graduation-cap"></i>'.showClass($con,$_GET['cid']); ?></font></h1>

                            <hr>

                             <div class="row add-btn">

                                <a href="homework-upload.php"><i class="fa fa-user-plus"></i> Add Homework</a>

                             </div>



                               <div class="row filter">

                                        <div class="filter-input-2" style="margin-left:18px">

                                               <div class="form-group">

                                                <font>Title</font>

                                                <input type="text" list="First" class="form-control" id="FirstFilterValue">

                                                <datalist id="First">

                                                  <?php 

                                                  $sql = "SELECT h_title FROM homework  WHERE uploadedby = '$_SESSION[uref]' ORDER BY h_title ASC";

                                                  $res = mysqli_query($con,$sql);

                                                  while ($row = mysqli_fetch_assoc($res)) {

                                                  ?>

                                                     <option value="<?php echo $row['h_title']; ?>"><?php echo $row['h_title']; ?></option>

                                                    <?php } ?>

                                                </datalist>

                                              </div>

                                        </div>

                                        <div class="filter-input-2">

                                            <div class="form-group">

                                                <font>Subject</font>

                                                <select class="ThirdFilterValue form-control" id="sub-category-dropdown">

                                                </select>

                                              </div>

                                        </div>

                                        <div class="filter-btn">

                                              <button type="button" id="filter" class="btn"> Search </button>

                                        </div>

                                </div>

                            <hr>

                            <div class="row">

                                <!--loader -->

                                 <div class="col-12" id='loader'>

                                    <ul style="list-style: none; padding-left: 0;">

                                      <?php 

                                        for ($count = 0; $count < 4; $count++) {

                                  

                                            echo '<li>

                                            <div class="ph-item">

                                            <div cl ass="ph-test">

                                            <div class="ph-row">

                                            <div class="ph-col-12 big"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            </div></div>

                                            </div>

                                            </li>';

                                        }

                                      ?>

                                    </ul>

                                </div>

                                <!-- loader -->

                                <div class="col-12" id="full-table">

                                        <ul class="timeline" id="full-table-data"></></ul>

                                </div>

                                <div class="col-12" id="filter-table" style="display: none;">

                                        <ul class="timeline" id="filter-table-data"></></ul>

                                </div>

                            </div>

                        

                        </div>

                    </div>



                </div>



            </div>



            <?php include "includes/ft.php"; ?>

            <?php include "includes/js.php"; ?>



    

    <div class="modal fade" id="modalNotes" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">

        <div class="modal-dialog" role="document">

            <div class="modal-content">

                <div class="modal-header">

                    <h5 class="modal-name badge badge-primary text-light" id="modalName"></h5>

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">

                        <span aria-hidden="true">&times;</span>

                    </button>

                </div>

                <div class="modal-body">

                    <span class="modal-css" id="modalData"></span>

                    <hr>

                    

                    <span id=modalIMG></span>

                </div>

                <div class="modal-footer">

                    <button type="button" class="btn btn-warning text-dark" data-dismiss="modal">Close</button>

                </div>

            </div>

        </div>

    </div>

    

<script>

    //dropdown TWO filter Start//

  $(document).ready(function(){

                                                                 

        var load_filter_flag = '';

        var FirstFilterValue = '';

        var SecondFilterValue = '';

        var ThirdFilterValue = '';

        var admin_2 = "<?php echo $admin_2; ?>";

        $("#filter").click(function(){

            FirstFilterValue = $('#FirstFilterValue').val();

            SecondFilterValue = $('.SecondFilterValue').val();

            ThirdFilterValue = $('.ThirdFilterValue').val();

            load_filter_flag = 0;

            if (FirstFilterValue != '' || SecondFilterValue != '' || ThirdFilterValue != '') {

                //alert(name);

                $.ajax({

                    url:'view-homework-Ajax.php',

                    type:'post',

                    data:{

                      FirstFilterValue:FirstFilterValue,

                      SecondFilterValue:SecondFilterValue,

                      ThirdFilterValue:ThirdFilterValue,

                      start:load_filter_flag,

                      admin_2:admin_2

                    },

                    success:function(result){

                      $('#full-table').hide();

                      $('#filter-table').show();

                      $('#filter-table-data').html(result);

                      load_filter_flag += 10;

                    },

                    complete:function(data){

                        /* Hide loader container */

                        $("#loader").hide();

                    }

                });

            }else{

                alert('Plz Select an Option');

                $('#full-table').show();

                $('#filter-table').hide();

            }

        });





        function loadMoreFilter(start){

            console.log('Filter'+start);

            if (load_filter_flag > 0) {

              //alert(name);

                  $.ajax({

                    url:'view-homework-Ajax.php',

                    type:'post',

                    data:{

                      FirstFilterValue:FirstFilterValue,

                      SecondFilterValue:SecondFilterValue,

                      ThirdFilterValue:ThirdFilterValue,

                      start:start,

                      admin_2:admin_2,

                      cid:cid

                    },

                    success:function(result){

                      $('#filter-table-data').append(result);

                      load_filter_flag += 10;

                    }

                  });

             

            }

        }

// Scroll Loading of Full Data //

        var load_flag = 0;

        var cid = <?php echo $_GET['cid']; ?>;

        loadMore(load_flag);

        var admin_2 = "<?php echo $admin_2; ?>";

        function loadMore(start){

            //console.log('total'+start);

            $.ajax({

                url: 'view-homework-Ajax.php',

                type: 'post',

                data: {

                        start:start,

                        admin_2:admin_2,

                        cid:cid

                    },

                success:function(result){

                    $('#full-table-data').append(result);

                    load_flag += 10;

                },

                complete:function(data){

                    /* Hide loader container */

                    $("#loader").hide();

                }

            });

        }



        $(window).scroll(function(){

        

            if ($(window).scrollTop() >= $(document).height()-$(window).height()) {

                //console.log('call');

                if (load_filter_flag>0) {

                    loadMoreFilter(load_filter_flag); 

                }else{

                    loadMore(load_flag);

                }

                

                

            }

            

        });



  });

$(document).ready(function() {



        var category_id = <?php echo $_GET['cid']; ?>;

        var admin_2 = "<?php echo $admin_2; ?>";

        $("#classMsg").hide();

        $.ajax({

            url: "notes-upload-CatSubcat-Ajax.php",

            type: "POST",

            data: {

            admin_2: admin_2,

            category_id: category_id

            },

            cache: false,

            success: function(result){

            $("#sub-category-dropdown").html(result);

            }

        });



});

</script>





    <script>

        $(document).ready(function(){

            

            $('#modal1').on('show.bs.modal', function(e){

                var src1 = $(e.relatedTarget).attr('src');

                $(this).find('.modal-body > img').attr('src', src1);

            });

        });

    </script>



 





</body>

</html>

<?php

if ( isset($_GET["del_id"]) ) {



    if(!empty($_GET["homework"])){

        $homework ='../upload/homework/'.$_GET["homework"];

        unlink($homework);

    }



$del_sql = "DELETE FROM homework WHERE h_id = '$_GET[del_id]'";



if ( mysqli_query($con, $del_sql) ) {

    ?>



    <script>

         alert('Delete Data Successfully');

        window.location = "view-homework.php";

    </script>

    <?php

} else {

    ?>

    <script>

        alert('OOPS !!!!');

        setTimeout(() => {

            window.location = 'view-homework.php';

        }, 1200);

    </script>

    <?php

}



}









